spring.application.name = AMOS-AUTOSYS
server.servlet.context-path=/fireAutoSys
server.port = 8085
#environment
spring.profiles.active=dev

#spring.freemarker.cache=false 
spring.devtools.restart.enabled=true
spring.devtools.restart.additional-paths=src/main/java
spring.devtools.restart.exclude=WEB-INF/**
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss

#JPA Configuration:
spring.jpa.show-sql = true
spring.jpa.hibernate.ddl-auto = none
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.database-platform = org.hibernate.dialect.MySQLDialect
spring.jpa.open-in-view = true
spring.jackson.time-zone=GMT+8

#mybatis mapper file
mybatis.mapper-locations = classpath:db/mapper/*.xml
mybatis.type-aliases-package = com.yeejoin.amos.fas.business.entity.mybatis
mybatis.configuration.mapUnderscoreToCamelCase=true
mybatis.configuration.call-setters-on-nulls = true

logging.config=classpath:logback-${spring.profiles.active}.xml
logging.level.com.yeejoin.amos.fas.business.dao.mapper=debug

#liquibase
spring.liquibase.change-log = classpath:/db/changelog/changelog-master.xml
spring.liquibase.enabled= true
param.system.online.date = 2019-02-12

spring.servlet.multipart.max-file-size=20MB
spring.servlet.multipart.max-request-size=20MB

#feginName
visual.fegin.name=maas-visual
#值班系统
dutyMode.fegin.name=AMOS-DUTYMODE
#队站装备管理名称，主要用于风险区域同步至仓库货位和订阅装备信息系统
equipManage.fegin.name=AMOS-EQUIPMANAGE
#jpush 服务名称
Push.fegin.name=AMOS-JPUSH
#feginName
number.plan.projectName=换流站消防专项预案


#站端名称使用全拼  与三维iotree 消息用到了，暂时统一设置为yinan
station.name = yinan


param.safetyIndexChange.cron = 0 0 2 * * ?
param.weather.url = http://wthrcdn.etouch.cn/weather_mini?citykey=

# 只用于初始化
emqx.defaultTopic=mqtt_topic

## 规则配置（风险管控及预案）
rule.definition.load=false
rule.definition.model-package=com.yeejoin.amos.fas.business.action.model
rule.definition.default-agency=STATE_GRID

#Fegin service config
amos.feign.gennerator.use-gateway=true

# 消息推送类型
autoSys.push.type=mqtt

# 3D告警初始化
autoSys.alarm.nameKeys=fireAlarm,fault,shield
autoSys.alarm.status=2,3
autoSys.alarm.value=true

#查询装备分类

#消防视频：xfsp
#消防车：2101
data.type.fireCar=2101
#消防小室：9301
data.type.fireChamber=9301
#消防水池：9302
data.type.pool=9302
#消防泡沫间：9305
data.type.fireFoamRoom=9305
#探测器：8501
data.type.monitorEquipment=8501
#消防炮：3103
data.type.fireMonitor=3103
#灭火器：3104
data.type.extinguisher=3104
#消火栓：3105
data.type.hydrant=3105


outSystem.fegin.name=unKnow
outSystem.user.password=a1234560
privilege.fegin.name=AMOS-API-PRIVILEGE
## redis失效时间
redis.cache.failure.time=10800
#当前gateway的IP地址
#now.gateway.address=http://172.16.10.72:10005/




